SDL_SetMemoryFunctions(3)

NAME
SDL_SetMemoryFunctions - Replace SDL's memory allocation functions with a custom set.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_SetMemoryFunctions(SDL_malloc_func malloc_func,
                           SDL_calloc_func calloc_func,
                           SDL_realloc_func realloc_func,
                           SDL_free_func free_func);

FUNCTION PARAMETERS

malloc_func
    custom malloc function

calloc_func
    custom calloc function

realloc_func
    custom realloc function

free_func
    custom free function

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.